### Hierarchy

- VerifyRepositoryImpl

### Implements

- VerifyRepository

## Index

### Constructors

- constructor

### Methods

- fixDanglingOfferSearchesByCreatingInteractions
- getAccountsByPublicKeys
- getAllAccounts
- getDanglingOfferInteractions
- getDanglingOfferSearches
- getOfferInteractionsByOfferIdsAndOwners
- getOfferSearchesByIds
- getSearchRequestWithSameTags
- getSearchRequestWithoutOwner

## Constructors

### constructor

- new VerifyRepositoryImpl(transport: HttpTransport): VerifyRepositoryImpl

- - Defined in repository/verify/VerifyRepositoryImpl.ts:24

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns VerifyRepositoryImpl

## Methods

### fixDanglingOfferSearchesByCreatingInteractions

- fixDanglingOfferSearchesByCreatingInteractions(): Promise<Array<OfferInteraction>>

- Implementation of VerifyRepository.fixDanglingOfferSearchesByCreatingInteractions

  - Defined in repository/verify/VerifyRepositoryImpl.ts:68

  #### Returns Promise<Array<OfferInteraction>>

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: Array<string>): Promise<Array<Account>>

- Implementation of VerifyRepository.getAccountsByPublicKeys

  - Defined in repository/verify/VerifyRepositoryImpl.ts:38

  #### Parameters

  - ##### publicKeys: Array<string>

  #### Returns Promise<Array<Account>>

### getAllAccounts

- getAllAccounts(fromDate: Date): Promise<Array<Account>>

- Implementation of VerifyRepository.getAllAccounts

  - Defined in repository/verify/VerifyRepositoryImpl.ts:46

  #### Parameters

  - ##### fromDate: Date

  #### Returns Promise<Array<Account>>

### getDanglingOfferInteractions

- getDanglingOfferInteractions(): Promise<Array<OfferInteraction>>

- Implementation of VerifyRepository.getDanglingOfferInteractions

  - Defined in repository/verify/VerifyRepositoryImpl.ts:61

  #### Returns Promise<Array<OfferInteraction>>

### getDanglingOfferSearches

- getDanglingOfferSearches(type: number): Promise<Array<OfferSearch>>

- Implementation of VerifyRepository.getDanglingOfferSearches

  - Defined in repository/verify/VerifyRepositoryImpl.ts:54

  #### Parameters

  - ##### type: number

  #### Returns Promise<Array<OfferSearch>>

### getOfferInteractionsByOfferIdsAndOwners

- getOfferInteractionsByOfferIdsAndOwners(offerIds: Array<number>, owners: Array<string>): Promise<Array<OfferInteraction>>

- Implementation of VerifyRepository.getOfferInteractionsByOfferIdsAndOwners

  - Defined in repository/verify/VerifyRepositoryImpl.ts:89

  #### Parameters

  - ##### offerIds: Array<number>

  - ##### owners: Array<string>

  #### Returns Promise<Array<OfferInteraction>>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: Array<number>): Promise<Array<OfferSearch>>

- Implementation of VerifyRepository.getOfferSearchesByIds

  - Defined in repository/verify/VerifyRepositoryImpl.ts:30

  #### Parameters

  - ##### ids: Array<number>

  #### Returns Promise<Array<OfferSearch>>

### getSearchRequestWithSameTags

- getSearchRequestWithSameTags(): Promise<Array<SearchRequest>>

- Implementation of VerifyRepository.getSearchRequestWithSameTags

  - Defined in repository/verify/VerifyRepositoryImpl.ts:75

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestWithoutOwner

- getSearchRequestWithoutOwner(): Promise<Array<SearchRequest>>

- Implementation of VerifyRepository.getSearchRequestWithoutOwner

  - Defined in repository/verify/VerifyRepositoryImpl.ts:82

  #### Returns Promise<Array<SearchRequest>>

Generated using TypeDoc